{% extends "base_generic.html" %}

{% block content %}
<div class="list_div">
        {% load static %}
        <link rel="stylesheet" href="{% static 'css/list.css' %}">
        <h2>Playlist</h2>
        <ul>
        {% for song in playlist %}
            <li>{{ song }}</li>
        {% endfor %}
        </ul>
</div>
<div class="pagination">
        <span class="step-links">
            {% if playlist.has_previous %}
                <a href="?page={{ playlist.previous_page_number }}">previous</a>
            {% endif %}
    
            <span class="current">
                Page {{ playlist.number }} of {{ playlist.paginator.num_pages }}.
            </span>
    
            {% if playlist.has_next %}
                <a href="?page={{ playlist.next_page_number }}">next</a>
            {% endif %}
        </span>
    </div>
{% endblock %}